### A free/open-source library for quantitative finance

Public Member Functions
VegaStressedBlackScholesProcess Class Reference

Black-Scholes process which supports local vega stress tests. More...

`#include <ql/experimental/processes/vegastressedblackscholesprocess.hpp>`

Inheritance diagram for VegaStressedBlackScholesProcess:
[legend]

List of all members.

## Public Member Functions

VegaStressedBlackScholesProcess (const Handle< Quote > &x0, const Handle< YieldTermStructure > &dividendTS, const Handle< YieldTermStructure > &riskFreeTS, const Handle< BlackVolTermStructure > &blackVolTS, Time lowerTimeBorderForStressTest=0, Time upperTimeBorderForStressTest=1000000, Real lowerAssetBorderForStressTest=0, Real upperAssetBorderForStressTest=1000000, Real stressLevel=0, const boost::shared_ptr< discretization > &d=boost::shared_ptr< discretization >(new EulerDiscretization))

StochasticProcess1D interface
Real | diffusion (Time t, Real x) const
interface for vega stress test
Real | getLowerTimeBorderForStressTest () const
void | setLowerTimeBorderForStressTest (Time LTB)
Real | getUpperTimeBorderForStressTest () const
void | setUpperTimeBorderForStressTest (Time UTB)
Real | getLowerAssetBorderForStressTest () const
void | setLowerAssetBorderForStressTest (Real LAB)
Real | getUpperAssetBorderForStressTest () const
void | setUpperAssetBorderForStressTest (Real UBA)
Real | getStressLevel () const
void | setStressLevel (Real SL)

## Detailed Description

Black-Scholes process which supports local vega stress tests.

## Member Function Documentation

Real diffusion | ( | Time | t,
|  | Real | x
| ) |  | const`[virtual]`

Possible enhancements:
  revise extrapolation

Reimplemented from GeneralizedBlackScholesProcess.